from flask import *
from pages.login import login_bp  # Assuming you have a login blueprint
from pages.chairman import chairman_bp  # Assuming you have a chairman blueprint
from pages.adeo import adeo_bp  # Importing the report blueprint
from pages.adeo2 import adeo2_bp  # Importing the report blueprint
from pages.adpic import adpic_bp  # Importing the report blueprint
from pages.projectcard import projectcard_bp  # Importing the report blueprint

from pages.report import report_bp  # Importing the report blueprint

# Initialize the Flask app
app = Flask(__name__)
app.secret_key = "THIS IS A TEST KEY PLEASE CHANGE WHEN PUBLISHING IT"  # Set your secret key for session management

# Register all Blueprints to the main app
app.register_blueprint(login_bp)  # Blueprint for login
app.register_blueprint(chairman_bp)  # Blueprint for chairman
app.register_blueprint(adeo_bp)  # Blueprint for report
app.register_blueprint(adeo2_bp)  # Blueprint for report
app.register_blueprint(adpic_bp)  # Blueprint for report
app.register_blueprint(projectcard_bp)  # Blueprint for report


app.register_blueprint(report_bp)  # Blueprint for report

# Check Logged in before any request
@app.before_request
def check_login():
    # List of allowed routes that don't require authentication
    allowed_routes = ['/', '/login', '/logout']

    # If the user is not logged in and they are not visiting the allowed routes
    if 'user_id' not in session and request.path not in allowed_routes:
        flash('Please Login First', 'error')
        return redirect(url_for('login.login'))  # Redirect to login page

if __name__ == '__main__':
    # Run the app in debug mode
    app.run(debug=True)
